Functions

# glm::virtrev_glmext::equal_operator Namespace Reference

GLM_VIRTREV_equal_operator extension: equal operator for vectors. More...

## Functions
template<typename T >
bool | operator!= (glm::detail::tvec2< T > const &v1, glm::detail::tvec2< T > const &v2)
| Define != operator for vectors From GLM_GTX_comparison extension.
template<typename T >
bool | operator!= (glm::detail::tvec3< T > const &v1, glm::detail::tvec3< T > const &v2)
| Define != operator for vectors From GLM_GTX_comparison extension.
template<typename T >
bool | operator!= (glm::detail::tvec4< T > const &v1, glm::detail::tvec4< T > const &v2)
| Define != operator for vectors From GLM_GTX_comparison extension.
template<typename T >
bool | operator== (glm::detail::tvec3< T > const &v1, glm::detail::tvec3< T > const &v2)
| Define == operator for vectors From GLM_GTX_comparison extension.
template<typename T >
bool | operator== (glm::detail::tvec2< T > const &v1, glm::detail::tvec2< T > const &v2)
| Define == operator for vectors From GLM_GTX_comparison extension.
template<typename T >
bool | operator== (glm::detail::tvec4< T > const &v1, glm::detail::tvec4< T > const &v2)
| Define == operator for vectors From GLM_GTX_comparison extension.

## Detailed Description

GLM_VIRTREV_equal_operator extension: equal operator for vectors.

## Function Documentation

bool glm::virtrev_glmext::equal_operator::operator!= | ( | detail::tvec2< T > const & | x,
|  | detail::tvec2< T > const & | y
| ) |  |

Define != operator for vectors From GLM_GTX_comparison extension.

Definition at line 45 of file equal_operator.hpp.

bool glm::virtrev_glmext::equal_operator::operator!= | ( | detail::tvec3< T > const & | x,
|  | detail::tvec3< T > const & | y
| ) |  |

Define != operator for vectors From GLM_GTX_comparison extension.

Definition at line 51 of file equal_operator.hpp.

bool glm::virtrev_glmext::equal_operator::operator!= | ( | detail::tvec4< T > const & | x,
|  | detail::tvec4< T > const & | y
| ) |  |

Define != operator for vectors From GLM_GTX_comparison extension.

Definition at line 57 of file equal_operator.hpp.

bool glm::virtrev_glmext::equal_operator::operator== | ( | detail::tvec3< T > const & | x,
|  | detail::tvec3< T > const & | y
| ) |  |

Define == operator for vectors From GLM_GTX_comparison extension.

Definition at line 33 of file equal_operator.hpp.

bool glm::virtrev_glmext::equal_operator::operator== | ( | detail::tvec2< T > const & | x,
|  | detail::tvec2< T > const & | y
| ) |  |

Define == operator for vectors From GLM_GTX_comparison extension.

Definition at line 27 of file equal_operator.hpp.

bool glm::virtrev_glmext::equal_operator::operator== | ( | detail::tvec4< T > const & | x,
|  | detail::tvec4< T > const & | y
| ) |  |

Define == operator for vectors From GLM_GTX_comparison extension.

Definition at line 39 of file equal_operator.hpp.